Skip to content

Create a customer

POST/customers

Costs 2 rate-limit points · Rate limits

Create a customer

Request body

  • customerobjectRequired
    Show 7 child attributesHide child attributes
    • emailstring
      Example: jane.doe@example.com
    • first_namestring
      Example: Jane
    • last_namestring
      Example: Doe
    • phonestring
      Example: +1 555 010 0199
    • tax_numberstring
    • eori_numberstring
    • tagsstring
      Example: wholesale, vip

Returns

The customer object.

Errors

401

Missing or invalid API key.

403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

422

Request could not be processed.

429

Rate limit exceeded. Check X-RateLimit-Reset header.

POST/customers
curl -X POST "https://app.invoicefalcon.com/api/v1/external/customers" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customer": {
      "email": "jane.doe@example.com",
      "first_name": "Jane",
      "last_name": "Doe",
      "phone": "+1 555 010 0199",
      "tags": "wholesale, vip"
    }
  }'
Response
{
  "customer": {
    "id": 9203,
    "email": "sam.rivera@example.com",
    "first_name": "Sam",
    "last_name": "Rivera",
    "phone": null,
    "tax_number": null,
    "eori_number": null,
    "tags": "",
    "shopify_customer_id": 7001234999,
    "created_at": "2025-10-02T11:20:00Z",
    "updated_at": "2025-10-02T11:20:00Z"
  }
}